Lists schedules in a given project and location.

### HTTP request

`GET https://notebooks.googleapis.com/v1/{parent}/schedules`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `parent=projects/{projectId}/locations/{location}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `notebooks.schedules.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum return size of the list call. |
| `pageToken` | `string` A previous returned page token that can be used to continue listing from the last result. |
| `filter` | `string` Filter applied to resulting schedules. |
| `orderBy` | `string` Field to order results by. |

### Request body

The request body must be empty.

### Response body

Response for listing scheduled notebook job.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "schedules": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/v1/projects.locations.schedules#Schedule`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `schedules[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/v1/projects.locations.schedules#Schedule`)`` A list of returned instances. |
| `nextPageToken` | `string` Page token that can be used to continue listing from the last result in the next list call. |
| `unreachable[]` | `string` Schedules that could not be reached. For example: ['projects/{projectId}/location/{location}/schedules/monthly_digest', 'projects/{projectId}/location/{location}/schedules/weekly_sentiment'] |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/notebooks`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).